@echo off
REM 
REM BUILD REQUEST INFO:
REM SW Version: titan_retaildsds-user 6.0 MPB24.65-34 31 release-keysMSM8626BP_1032.3116.99.00R
REM MBM Version: 48.86
REM Modem Version: MSM8626BP_1032.3116.99.00R
REM FSG Version: TITANBP_FSG_01.33.00R
REM Build Fingerprint: motorola/titan_retaildsds/titan_umtsds:6.0/MPB24.65-34/31:user/release-keys
REM 
REM VERSION INFO FOUND UNDER 'ABOUT PHONE' SCREEN:
REM System Version: 24.41.34.titan_retaildsds.retaildsdsall.en.03
REM Model number: Moto G
REM Android Version: 6.0
REM Baseband Version: MSM8626BP_1032.3116.99.00R
REM Build Number: MPB24.65-34
REM Build Date: Wed Jan  6 12:16:59 CST 2016
REM 
REM OTHER MISC VERSION INFO:
REM Subsidy Lock Config: None
REM Blur Version: Blur_Version.24.41.34.titan_retaildsds.retaildsdsall.en.03
REM Version when read from CPV: titan_retaildsds-user 6.0 MPB24.65-34 31 release-keys
REM 

if not exist .\XT1068_TITAN_RETAILDSDS_6.0_MPB24.65-34_cid7_CFC.xml.zip ( 
	echo.
	echo Bitte korrigieren: Falsche Firmware heruntergeladen oder nicht im aktuellen Verzeichnis zu finden.
	echo.
	echo Die gesuchte Datei heisst 
	echo.
	echo 		XT1068_TITAN_RETAILDSDS_6.0_MPB24.65-34_cid7_CFC.xml.zip
	echo.
	pause
	exit
)

echo.
echo ________________________________________________________________________________
echo.
echo Flashe Marshmallow 6.0 - Moto G Titan XT1068 
echo.
echo SW Version: 
echo titan_retaildsds-user 6.0 MPB24.65-34 31 release-keys MSM8626BP_1032.3116.99.00R
echo.
echo ________________________________________________________________________________
echo.
echo 1. Phone ausschalten, ALLE Karten entfernen (SIMs, SD Card)
echo 2. Phone in den Bootloader starten
echo 3. Phone und Rechner mit dem USB-Daten-Kabel verbinden
echo.
echo Eingabe-Taste startet die Installation ... (Jetzt abbrechen mit [ Strg ] + [ C ])
echo.
pause

echo.
echo ===  Dateien entpacken ===
.\_tools\7zip\7za.exe e -y -o".\ROM-ausgepackt" .\XT1068_TITAN_RETAILDSDS_6.0_MPB24.65-34_cid7_CFC.xml.zip

echo.
echo ===  OEM Fastboot Modus an ===
.\_tools\fastboot oem fb_mode_set

echo.
echo ===  Partitionstabelle ===
.\_tools\fastboot flash partition ".\ROM-ausgepackt\gpt.bin"

echo.
echo ===  Bootloader ===
.\_tools\fastboot flash motoboot ".\ROM-ausgepackt\motoboot.img"

echo.
echo ===  Logo ===
.\_tools\fastboot flash logo ".\ROM-ausgepackt\logo.bin"

echo.
echo ===  Boot-Partition ===
.\_tools\fastboot flash boot ".\ROM-ausgepackt\boot.img"

echo.
echo ===  Recovery-Partition ===
.\_tools\fastboot flash recovery ".\ROM-ausgepackt\recovery.img"

echo.
echo ===  System-Partition ===
setlocal enableDelayedExpansion 

set MYDIR=".\ROM-ausgepackt\system.img_sparsechunk.*"
for /F %%x in ('dir /B/D %MYDIR%') do (
  .\_tools\fastboot flash system ".\ROM-ausgepackt\%%x"
)

echo.
echo ===  Modem/Baseband ===
.\_tools\fastboot flash modem ".\ROM-ausgepackt\NON-HLOS.bin"
.\_tools\fastboot erase modemst1
.\_tools\fastboot erase modemst2
.\_tools\fastboot flash fsg ".\ROM-ausgepackt\fsg.mbn"

echo.
echo ===  Cache leeren ===
.\_tools\fastboot erase cache

echo.
echo ===  Werksreset (Daten, Apps, Konten, System-Einstellungen werden entfernt) ===
.\_tools\fastboot erase userdata

echo.
echo ===  OEM Fastboot Modus aus ===
.\_tools\fastboot oem fb_mode_clear

echo.
echo ===  Entpackte Dateien entfernen ===
rmdir /S /Q ".\ROM-ausgepackt"

echo.
echo ===  Fertig ===
echo.
pause
